package xyz.twovb.sgm.commands.handlers;

import dev.rollczi.litecommands.handler.result.ResultHandlerChain;
import dev.rollczi.litecommands.invocation.Invocation;
import dev.rollczi.litecommands.permission.MissingPermissions;
import dev.rollczi.litecommands.permission.MissingPermissionsHandler;
import org.bukkit.command.CommandSender;

import xyz.twovb.sgm.SGM;
import xyz.twovb.toolbox.utils.ChatUtils;

public class NoPermissionsHandler implements MissingPermissionsHandler<CommandSender> {
    @Override
    public void handle(Invocation<CommandSender> invocation, MissingPermissions missingPermissions, ResultHandlerChain<CommandSender> chain) {
        String permissions = missingPermissions.asJoinedText();
        CommandSender sender = invocation.sender();
        sender.sendMessage(ChatUtils.translate(SGM.getInstance().getMessages().getString("commands.no-permissions").replace("%permission%", permissions)));
    }
}
